
CoCoALib - Feature #4

Squarefree GCD-free basis

19 Oct 2011 12:38 - John Abbott

Status: Rejected Start date: 19 Oct 2011

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.88 hour

Target version: CoCoALib-0.99700 Spent time: 0.85 hour

Description

From a non-empty collection of polynomials compute a square-free gcd-free basis.

Related issues:

Related to CoCoALib - Feature #259: Squarefree(?) GCD-free basis Closed 09 Oct 2012

History

#1 - 18 Dec 2013 14:35 - John Abbott

Something to do over the Xmas holidays?

I thought I'd already implemented this but cannot find it anywhere (unless I gave it a strange name).

#2 - 01 Aug 2014 08:59 - Anna Maria Bigatti

- Target version set to CoCoALib-1.0

#3 - 25 Jun 2018 15:28 - John Abbott

- Category set to New Function

- Status changed from New to In Progress

- Assignee set to John Abbott

- % Done changed from 0 to 20

Is this not subsumed by issue #259?

The only remaining question is the "squarefree" part.  We could just make the inputs squarefree and then call the general function; this won't be

"optimal" in all cases, but perhaps should not be too bad...

#4 - 25 Jun 2018 15:28 - John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99600

#5 - 03 Aug 2018 17:11 - John Abbott

- Target version changed from CoCoALib-0.99600 to CoCoALib-0.99650 November 2019

#6 - 08 Feb 2019 21:17 - John Abbott

The "squarefree" version should only be for polynomials because it is too costly (in general) to tell if an integer is squarefree.

#7 - 26 Feb 2019 17:07 - John Abbott

- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-1.0

I'm postponing this issue because we already have "coprime factor basis", and it is not yet clear to me whether we need also a "squarefree coprime

factor basis".
#8 - 27 Jan 2020 17:58 - John Abbott

- Status changed from In Progress to Rejected

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99700

- % Done changed from 20 to 100

- Estimated time set to 0.88 h

I am rejecting this issue.

The "squarefree" part is too risky/costly for large integer args.

It could be done for polynomials, but then it is probably better simply to call a squarefree factorizer (before or after).

Maybe a new issue can be made if we really need a sqfr coprime factor basis in the future.

Rejecting.
